dpt-rename-uploader(1)

NAME
dpt-rename-uploader - handle maintainer email changes

SYNOPSIS
dpt rename-uploader full name old email new email

To be run from git/packages directory.

DESCRIPTION
dpt rename-uploader walks over all package directories and changes any occurrences of author's old email address in debian/control and debian/copyright with their new email address. It is handy when an uploader became a Debian Developer and wants to use their me@debian.org address.

A suitable entry is added to debian/changelog, but nothing is committed.

Repositories with uncommitted changes are not touched and a warning is issued.

COPYRIGHT & LICENSE
Copyright: 2009, Ryan Niebur <ryan@debian.org>

2010, 2012, 2014 Salvatore Bonaccorso carnil@debian.org
2011, gregor herrmann gregoa@debian.org
2012, Nathan Handler nhandler@ubuntu.com

License: Artistic or GPL-1+